Vid Kraken Docs
GET
/me

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the dashboard, sent as Authorization: Bearer YOUR_API_KEY.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://vidkraken.com/api/v2/me"
{
  "name": "Jane Developer",
  "email": "jane@example.com",
  "plan": {
    "id": "starter",
    "renewsAt": 1758326400000,
    "canceledAt": null
  },
  "balances": {
    "download_count": {
      "granted": 1000,
      "used": 123,
      "remaining": 877,
      "unlimited": false,
      "resetsAt": 1758326400000
    },
    "bandwidth_mb": {
      "granted": 400000,
      "used": 52480,
      "remaining": 347520,
      "unlimited": false,
      "resetsAt": 1758326400000
    },
    "info": {
      "granted": 5000,
      "used": 310,
      "remaining": 4690,
      "unlimited": false,
      "resetsAt": 1758326400000
    }
  }
}

{
  "error": "Missing API key. Provide it as 'Bearer YOUR_API_KEY'"
}

{
  "error": "Failed to enqueue download job"
}